Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.exe
Class SwimlaneInstance

    java.lang.Object
      org.jbpm.taskmgmt.exe.SwimlaneInstance

All Implemented Interfaces:
  java.io.Serializable, Assignable

    public class SwimlaneInstance

extends java.lang.Object
implements java.io.Serializable, Assignable

is a process role for a one process instance.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `actorId`
`protected java.lang.String` | `name`
`protected java.util.Set` | `pooledActors`
`protected Swimlane` | `swimlane`
`protected TaskMgmtInstance` | `taskMgmtInstance`

Constructor Summary
`SwimlaneInstance()`
`SwimlaneInstance(Swimlane swimlane)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getActorId()`
`long` | `getId()`
`java.lang.String` | `getName()`
`java.util.Set` | `getPooledActors()`
`Swimlane` | `getSwimlane()`
`TaskMgmtInstance` | `getTaskMgmtInstance()`
`void` | `setActorId(java.lang.String actorId)` sets the responsible for this assignable object.
`void` | `setPooledActors(java.util.Set pooledActors)`
`void` | `setPooledActors(java.lang.String[] actorIds)` sets the resource pool for this assignable as a set of `PooledActor`s.
`void` | `setTaskMgmtInstance(TaskMgmtInstance taskMgmtInstance)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### actorId

    protected java.lang.String actorId

### pooledActors

    protected java.util.Set pooledActors

### swimlane

    protected Swimlane swimlane

### taskMgmtInstance

    protected TaskMgmtInstance taskMgmtInstance

Constructor Detail

### SwimlaneInstance

    public SwimlaneInstance()

### SwimlaneInstance

    public SwimlaneInstance(Swimlane swimlane)

Method Detail

### setPooledActors

    public void setPooledActors(java.lang.String[] actorIds)

  Description copied from interface: `Assignable`
  sets the resource pool for this assignable as a set of `PooledActor`s. Use this method to offer the task to a group of users. Each user in the group can then take the task by calling the `Assignable.setActorId(String)`.

  Specified by:
    `setPooledActors` in interface `Assignable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getId

    public long getId()

### getName

    public java.lang.String getName()

### getSwimlane

    public Swimlane getSwimlane()

### getActorId

    public java.lang.String getActorId()

### setActorId

    public void setActorId(java.lang.String actorId)

  Description copied from interface: `Assignable`
  sets the responsible for this assignable object. Use this method to assign the task into a user's personal task list.

  Specified by:
    `setActorId` in interface `Assignable`

### getTaskMgmtInstance

    public TaskMgmtInstance getTaskMgmtInstance()

### setTaskMgmtInstance

    public void setTaskMgmtInstance(TaskMgmtInstance taskMgmtInstance)

### getPooledActors

    public java.util.Set getPooledActors()

### setPooledActors

    public void setPooledActors(java.util.Set pooledActors)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD